Package org.h2.util

# Class AbbaDetector

java.lang.Object
org.h2.util.AbbaDetector

public class AbbaDetector extends Object
Utility to detect AB-BA deadlocks.

## Constructor Summary

Constructors
Constructor
Description
`AbbaDetector()`

## Method Summary

Modifier and Type
Method
Description
`static Object`
`begin(Object o)`
This method is called just before or just after an object is synchronized.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbbaDetector

public AbbaDetector()

## Method Details

### begin

public static Object begin(Object o)
This method is called just before or just after an object is synchronized.

Parameters:
  `o` - the object, or null for the current class
Returns:
  the object that was passed